package eu.jonahbauer.wizard.client.libgdx.actors.game;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.Actor;
import eu.jonahbauer.wizard.client.libgdx.GameAtlas;
import eu.jonahbauer.wizard.common.model.Card;
import lombok.Getter;

@Getter
public class CardActor extends Actor {
    private final Card card;
    private final TextureRegion texture;
    float offset;
    float baseY;

    public CardActor(Card card, TextureAtlas atlas) {
        this.card = card;
        this.texture = atlas.findRegion(switch ((int)(Math.random() * 4)) {
            case 0 -> GameAtlas.CARDS_BLUE;
            case 1 -> GameAtlas.CARDS_GREEN;
            case 2 -> GameAtlas.CARDS_RED;
            case 3 -> GameAtlas.CARDS_YELLOW;
            default -> throw new AssertionError();
        });
        setWidth(100);
        setHeight(100);
    }

    @Override
    public void draw(Batch batch, float parentAlpha) {
        batch.draw(texture, getX(), getY() + getHeight() - 100, getWidth(), 100);
    }
}
